Help please, Server crash!

Discussion in 'Spigot Help' started by xPhTx3, May 11, 2016.

  1. This problem is solved and i no longer need help! Thanks everyone :)
     
    #1 xPhTx3, May 11, 2016
    Last edited: May 11, 2016
  2. Something is wrong in Multicraft, it's telling the server to shutdown

    Check Multicraft's log and maybe it's there, i've never used Multicraft myself.
     
  3. I would just assume that is a corrupted chunk. I'm not too sure though.
     
    • Informative Informative x 1
  4. I don't even think you can check multicraft logs but I don't know as I'm pretty new to multicraft myself.
     
  5. ok ill see
     
  6. Have you tried updating your Spigot? Could be a broken version. Try that if it isn't a corrupted chunk.
     
  7. Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=128M; support was removed in 8.0

    I'm guessing it has something to do wit this as this started appearing right after this started happening
    and no its not a corrupt chunk i tried deleting the current worlds and created a new one I'll try to update my spigot though
     
  8. Code (Text):
    Description: Exception in server tick loop
    java.lang.ArrayIndexOutOfBoundsException: -892676
    That is what's causing it.
    -892676 should not be a negative.
     
  9. Test a timing server ?
     
  10. How do I fix this?

    And thanks to everyone that has replied so quickly as I really needed this help :)
     
  11. Test to start the server whpout multicraft
     
  12. Did you try updating?
     
    • Agree Agree x 1
  13. I can't / don't know how? I'm pretty sure my host doesnt allow it.
     
  14. Do they allow custom JARs?

    If so, then just download a Spigot JAR and upload it to your host.
     
  15. Well I'm not going to update past 1.8.8 spigot as I don't want 1 .9 so
     
  16. Yes I forgot about that xD i had it on like a specific jar so this will probably fix it
     
  17. Does this error happen every time you turn on the server? If so i would try to remove the latest added/updated plugins until i find the culprit. You do have quite a lot of different plugins running so there is a chance there is some conflict there, or some misconfiguration (did you change configuration on something before this happened?) Did you recently get a new .jar file for the server?
     
  18. I actually downloaded this from another place where i hosted it and there it worked completely fine, I don't know why it doesnt here though.
     
  19. I've had files become corrupt upon copying/downlading before. Try it again? :)

    Better yet, compile latest jar yourself using BuildTools :)

    or an older revision.

    https://www.spigotmc.org/wiki/buildtools/#1-9-2